Description

Similarly to #31278, this context entry can be interpreted wrongly. Specifically, one redmine user did the following:

1. Opened an issue (issue#view) (redmine:3000/issues/40, for example)

2. Added a related issue (41, for example)

3. Decided to delete the relation

4. Opened the context menu, instead of clicking on the broken link icon (the one with the tooltip "Delete relation", but who reads
tooltips?)

5. Clicked on the "Delete" button

6. Clicked OK on the popup (the text there could be more straightforward, for example: "Delete issue(s)? Are you sure?" but who
reads popups?)

7. Later, called support (me) asking why the issue disappeared?

The problem is not the user not reading the popups. Various popus in Redmine are written like this: "Are you sure you want to"
whatever. This is not the best way to write confirmation popups, but even with a strightforward text, lie in the example above, popups
are rather dismissed than acknowledged.

The problem here is the usability of the context entry. The icon to delete the relation is next to the icon that opens the context menu,
but "Delete" issue is more destructive than "Delete relation”, because you can't rollback deleting an issue.

Notice that "Delete relation" though less destructive, because there is very little data loss, and you can always redo a relation, has
the full text "Delete relation” on the popup.

| won't post a patch. Instead i did a grep of label_issues_delete (my sugestion, though it needs translation for other languages):

app/views/context_menus/issues.html.erb:152: <1i><%= context_menu_link 1(:label_issues_delete), i
ssues_path(:ids => @issue_ids, :back_url => @dback),

config/locales/en.yml:594: label_issues_delete: Delete issue(s)

config/locales/pt-BR.yml:365: label_issues_delete: Excluir tarefa(s)

Related issues:
Is duplicate of Redmine - Feature #31278: Change Delete button name to Delete... Closed

History

#1 - 2022-02-09 00:55 - Mizuki ISHIKAWA
- File screenshot.png added

The "Delete" button seems to have been replaced by "Delete issue" in the context menu by #31278's work.
This is the current Redmine screen under development:
screenshot.png

Is it possible to make this issue resolved? Or is there something else that needs to be changed?

#2 - 2022-02-09 06:51 - Frederico Camara

- Status changed from New to Resolved

My bad.

2025-07-01 1/2



https://www.redmine.org/issues/31278

| should have applied the community's solution to the issue | reported myself. | just assumed there were minimal differences between mine and the
community's patch.

Sorry and thanks for your time.

#3 - 2022-02-09 19:35 - Holger Just
- Is duplicate of Feature #31278: Change Delete button name to Delete issue added

#4 - 2022-02-09 19:35 - Holger Just
- Status changed from Resolved to Closed

- Resolution set to Duplicate
